> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.levanta.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Products



## OpenAPI

````yaml https://app.levanta.io/api/creator/v2/openapi.json get /products
openapi: 3.1.0
info:
  version: 2.0.0
  title: Levanta Creator API v2
  description: >-
    Authorize all requests with an API key in the Authorization header as the
    second token. E.g. Authorization -> "Bearer {api_key}".
servers:
  - url: https://app.levanta.io/api/creator/v2
security: []
externalDocs:
  url: https://app.levanta.io/creator/api-docs
paths:
  /products:
    get:
      tags:
        - Products
      summary: List Products
      operationId: CreatorListProductsV2
      parameters:
        - schema:
            type: string
            enum:
              - all
              - amazon.com
              - amazon.com.mx
              - amazon.co.uk
              - amazon.ca
              - amazon.de
              - amazon.es
              - amazon.fr
              - amazon.it
              - amazon.nl
              - walmart.com
              - shopify.com
            description: >-
              Represents a Levanta marketplace (ex: amazon.co.uk, walmart.com,
              shopify.com). If "all" is specified then the scope is all
              marketplaces.
          required: true
          description: >-
            Represents a Levanta marketplace (ex: amazon.co.uk, walmart.com,
            shopify.com). If "all" is specified then the scope is all
            marketplaces.
          name: marketplace
          in: query
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
            description: >-
              Whether or not to only return products for brands that you have an
              active partnership with
          required: false
          description: >-
            Whether or not to only return products for brands that you have an
            active partnership with
          name: access
          in: query
        - schema:
            type: string
            description: Filter products by their primary ID
          required: false
          description: Filter products by their primary ID
          name: product_ids
          in: query
        - schema:
            type: string
            description: Filter products by the brand ID
          required: false
          description: Filter products by the brand ID
          name: brand_ids
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 500
            default: 100
            description: The maximum number of items to return
          required: false
          description: The maximum number of items to return
          name: limit
          in: query
        - schema:
            type: string
            maxLength: 512
            description: >-
              The cursor returned from the last request, if omitted the first
              page will be returned
          required: false
          description: >-
            The cursor returned from the last request, if omitted the first page
            will be returned
          name: cursor
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  products:
                    type: array
                    items:
                      type: object
                      properties:
                        primaryId:
                          type: string
                        ids:
                          type: array
                          items:
                            type: object
                            properties:
                              label:
                                type: string
                                enum:
                                  - ASIN
                                  - SKU
                                  - GTIN
                                  - Walmart Item ID
                                  - Variant ID
                              value:
                                type: string
                            required:
                              - label
                              - value
                        title:
                          type: string
                          description: The title of the product
                        brandId:
                          type: string
                          description: The ID of the brand the product is associated with
                        brandName:
                          type: string
                          description: The name of the brand the product is associated with
                        image:
                          type: string
                        category:
                          type: string
                        price:
                          type: object
                          properties:
                            currency:
                              type: string
                            value:
                              type: string
                          required:
                            - currency
                            - value
                        commission:
                          type: object
                          properties:
                            sellerCommission:
                              type: string
                            marketplaceCommission:
                              type: string
                            totalCommission:
                              type: string
                          required:
                            - sellerCommission
                            - marketplaceCommission
                            - totalCommission
                        deal:
                          type:
                            - object
                            - 'null'
                          properties:
                            active:
                              type: boolean
                            type:
                              type: string
                              enum:
                                - DEAL
                                - CLIPPABLE_COUPON
                                - PROMO_CODE
                                - FLASH_DEAL
                            discountPrice:
                              type: number
                              description: The price of the product after the deal discount
                            discountPercentage:
                              type: number
                              description: The percentage discount of the product
                            startDate:
                              type: string
                              format: date-time
                              description: >-
                                Date in ISO Format without offset (UTC):
                                YYYY-MM-DDTHH:mm:ss.SSSZ
                            endDate:
                              type: string
                              format: date-time
                              description: >-
                                Date in ISO Format without offset (UTC):
                                YYYY-MM-DDTHH:mm:ss.SSSZ
                            promoCode:
                              type:
                                - string
                                - 'null'
                              description: The promo code for the deal (if applicable)
                          required:
                            - active
                            - type
                            - discountPrice
                            - discountPercentage
                            - startDate
                            - endDate
                            - promoCode
                        availability:
                          type: string
                          enum:
                            - IN_STOCK
                            - OUT_OF_STOCK
                        marketplace:
                          type: string
                          enum:
                            - amazon.com
                            - amazon.com.mx
                            - amazon.co.uk
                            - amazon.ca
                            - amazon.de
                            - amazon.es
                            - amazon.fr
                            - amazon.it
                            - amazon.nl
                            - walmart.com
                            - shopify.com
                          description: >-
                            Represents a Levanta marketplace (ex: amazon.co.uk,
                            walmart.com, shopify.com).
                        access:
                          type: boolean
                        rating:
                          type:
                            - string
                            - 'null'
                          description: Current rating of the product
                        ratingsTotal:
                          type:
                            - number
                            - 'null'
                          description: Total number of ratings for this product
                        platformEpc:
                          type:
                            - string
                            - 'null'
                          description: >-
                            Earnings-per-click for the product on Levanta, if
                            available. Otherwise null.
                      required:
                        - primaryId
                        - ids
                        - title
                        - brandId
                        - brandName
                        - image
                        - category
                        - price
                        - commission
                        - deal
                        - availability
                        - marketplace
                        - access
                        - rating
                        - ratingsTotal
                        - platformEpc
                  cursor:
                    type:
                      - string
                      - 'null'
                    description: >-
                      The cursor to use for the next request, if empty there are
                      no more items to return
                required:
                  - products
                  - cursor
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    enum:
                      - 401
                  message:
                    type: string
                    enum:
                      - Unauthorized
                required:
                  - status
                  - message
        '422':
          description: Input Validation Failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    enum:
                      - 422
                  message:
                    type: string
                    enum:
                      - Input Validation Failed
                required:
                  - status
                  - message
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````